- Qt 5.5
- Qt3D Module
- C++ Classes
- QBoundingSphere
- Qt 5.5.1 Reference Documentation

# QBoundingSphere Class

(Qt3D::QBoundingSphere)

Inherits: | QBoundingVolume

- List of all members, including inherited members

## Public Functions

| QBoundingSphere()
| ~QBoundingSphere()
virtual QVector3D | center() const = 0
virtual float | radius() const = 0

- 3 public functions inherited from Qt3D::QBoundingVolume

## Member Function Documentation

### QBoundingSphere::QBoundingSphere()

### QBoundingSphere::~QBoundingSphere()

### `[pure virtual]` QVector3D QBoundingSphere::center() const

### `[pure virtual]` float QBoundingSphere::radius() const